package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 销售目标与达成对象 order_sales_detail
 * 
 * @author dgtly
 * @date 2020-07-16
 */
public class OrderSalesDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDelete;

    /** 公司代码 */
    @Excel(name = "公司代码")
    private String companyCode;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 销售大区代码 */
    @Excel(name = "销售大区代码")
    private String saledeptCode;

    /** 销售大区名称 */
    @Excel(name = "销售大区名称")
    private String saledeptName;

    /** 销售部代码 */
    @Excel(name = "销售部代码")
    private String officeCode;

    /** 销售部名称 */
    @Excel(name = "销售部名称")
    private String officeName;

    /** 销售分部/推广组 */
    @Excel(name = "销售分部/推广组")
    private String subofficeCode;

    /** 销售分部/推广组 */
    @Excel(name = "销售分部/推广组")
    private String subofficeName;

    /** 工号 */
    @Excel(name = "工号")
    private String empId;

    /** 销售员 */
    @Excel(name = "销售员")
    private String empName;

    /** 经销商代码 */
    private String customerId;

    /** 经销商名称 */
    @Excel(name = "经销商名称")
    private String customerName;

    /** 已复核 */
    @Excel(name = "已复核")
    private String nowYearAct;

    /** 预算 */
    @Excel(name = "预算")
    private String nowYearBud;

    /** 未复核 */
    @Excel(name = "未复核")
    private String reviewNo;

    /** 未清 */
    @Excel(name = "未清")
    private String uncleared;

    /** 冻结 */
    @Excel(name = "冻结")
    private String freeze;

    /** 销售凭证数量 */
    @Excel(name = "销售凭证数量")
    private String orderNum;

    /** 日期 */
    @Excel(name = "日期")
    private String calMonth;

    /** 数据更新时间 */
    @Excel(name = "数据更新时间")
    private String runTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setSaledeptCode(String saledeptCode) 
    {
        this.saledeptCode = saledeptCode;
    }

    public String getSaledeptCode() 
    {
        return saledeptCode;
    }
    public void setSaledeptName(String saledeptName) 
    {
        this.saledeptName = saledeptName;
    }

    public String getSaledeptName() 
    {
        return saledeptName;
    }
    public void setOfficeCode(String officeCode) 
    {
        this.officeCode = officeCode;
    }

    public String getOfficeCode() 
    {
        return officeCode;
    }
    public void setOfficeName(String officeName) 
    {
        this.officeName = officeName;
    }

    public String getOfficeName() 
    {
        return officeName;
    }
    public void setSubofficeCode(String subofficeCode) 
    {
        this.subofficeCode = subofficeCode;
    }

    public String getSubofficeCode() 
    {
        return subofficeCode;
    }
    public void setSubofficeName(String subofficeName) 
    {
        this.subofficeName = subofficeName;
    }

    public String getSubofficeName() 
    {
        return subofficeName;
    }
    public void setEmpId(String empId) 
    {
        this.empId = empId;
    }

    public String getEmpId() 
    {
        return empId;
    }
    public void setEmpName(String empName) 
    {
        this.empName = empName;
    }

    public String getEmpName() 
    {
        return empName;
    }
    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }
    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }
    public void setNowYearAct(String nowYearAct) 
    {
        this.nowYearAct = nowYearAct;
    }

    public String getNowYearAct() 
    {
        return nowYearAct;
    }
    public void setNowYearBud(String nowYearBud) 
    {
        this.nowYearBud = nowYearBud;
    }

    public String getNowYearBud() 
    {
        return nowYearBud;
    }
    public void setReviewNo(String reviewNo) 
    {
        this.reviewNo = reviewNo;
    }

    public String getReviewNo() 
    {
        return reviewNo;
    }
    public void setUncleared(String uncleared) 
    {
        this.uncleared = uncleared;
    }

    public String getUncleared() 
    {
        return uncleared;
    }
    public void setFreeze(String freeze) 
    {
        this.freeze = freeze;
    }

    public String getFreeze() 
    {
        return freeze;
    }
    public void setOrderNum(String orderNum) 
    {
        this.orderNum = orderNum;
    }

    public String getOrderNum() 
    {
        return orderNum;
    }
    public void setCalMonth(String calMonth) 
    {
        this.calMonth = calMonth;
    }

    public String getCalMonth() 
    {
        return calMonth;
    }
    public void setRunTime(String runTime) 
    {
        this.runTime = runTime;
    }

    public String getRunTime() 
    {
        return runTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("companyCode", getCompanyCode())
            .append("companyName", getCompanyName())
            .append("saledeptCode", getSaledeptCode())
            .append("saledeptName", getSaledeptName())
            .append("officeCode", getOfficeCode())
            .append("officeName", getOfficeName())
            .append("subofficeCode", getSubofficeCode())
            .append("subofficeName", getSubofficeName())
            .append("empId", getEmpId())
            .append("empName", getEmpName())
            .append("customerId", getCustomerId())
            .append("customerName", getCustomerName())
            .append("nowYearAct", getNowYearAct())
            .append("nowYearBud", getNowYearBud())
            .append("reviewNo", getReviewNo())
            .append("uncleared", getUncleared())
            .append("freeze", getFreeze())
            .append("orderNum", getOrderNum())
            .append("calMonth", getCalMonth())
            .append("runTime", getRunTime())
            .toString();
    }
}
